# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: BitPay
    class: XC\BitPay\Model\Payment\Processor\BitPay
    type: C
    countries: [AD, AE, AF, AG, AI, AL, AM, AO, AR, AS, AT, AU, AW, AX, AZ, BA, BB, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BQ, BR, BS, BT, BV, BW, BY, BZ, CA, CC, CD, CF, CH, CI, CK, CL, CM, CN, CO, CR, CV, CW, CX, CY, CZ, DJ, DK, DM, DO, EE, EH, ER, ES, ET, FI, FJ, FK, FM, FO, FR, GA, GB, GD, GE, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HM, HN, HR, HT, HU, IE, IL, IM, IN, IO, IS, IT, JE, JM, JO, JP, KE, KI, KM, KN, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MC, MD, ME, MF, MG, MH, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, 'NO', NR, NU, NZ, OM, PA, PE, PF, PG, PH, PL, PM, PN, PR, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SV, SX, SZ, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VI, VU, WF, WS, XK, YE, YT, ZA, ZM, ZW]
    translations: [{code: en, name: BitPay}, {code: es, name: BitPay}]
    settings: [{name: token}, {name: pairingCode}, {name: transactionSpeed}, {name: mode, value: test}]
XLite\Model\LanguageLabel:
  - name: 'Token not created'
    translations: [{code: en, label: 'Token not created'}]
  - name: 'New token created'
    translations: [{code: en, label: 'New token created'}]
  - name: bitpay.instructions
    translations: [{code: en, label: 'To start using BitPay, you will need to connect your X-Cart store to your BitPay account:<ol><li>Set the operation mode you require using the Test/Live mode setting below.</li><li>Log in to your <a href="{{url}}" target="_blank">BitPay dashboard</a> using the respective environment (test mode - <a href="https://test.bitpay.com/" target="_blank">https://test.bitpay.com/</a>; live mode - <a href="https://bitpay.com/" target="_blank">https://bitpay.com/</a>).</li><li>Click the "Regenerate token" button below. Your X-Cart store will communicate with the BitPay server to request the generation of a new API token. The server will respond with a new token that will include a pairing code. This pairing code will need to be validated on the BitPay end so your X-Cart store is allowed to access your BitPay account.</li><li>Click the "Approve this pairing code" link below. You will be redirected to the BitPay site.</li><li>On the BitPay approve page, click "Approve" to validate the code. Once the pairing code has been approved, your store will be connected to BitPay.</li></ol>'}]
  - name: 'If the Test/Live mode setting is reset, be sure to re-connect your store to BitPay using the instructions provided on this page.'
    translations: [{code: en, label: 'If the Test/Live mode setting is reset, be sure to re-connect your store to BitPay using the instructions provided on this page.'}]
  - name: 'An invoice is considered to be confirmed after 1 block confirmation (~10 minutes)'
    translations: [{code: en, label: 'An invoice is considered to be confirmed after 1 block confirmation (~10 minutes)'}]
  - name: 'An invoice is considered to be confirmed after 6 block confirmations (~1 hour)'
    translations: [{code: en, label: 'An invoice is considered to be confirmed after 6 block confirmations (~1 hour)'}]
  - name: 'An invoice is considered to be confirmed immediately upon receipt of payment'
    translations: [{code: en, label: 'An invoice is considered to be confirmed immediately upon receipt of payment'}]
  - name: 'Approve this pairing code'
    translations: [{code: en, label: 'Approve this pairing code'}]
  - name: 'Can''t generate keys'
    translations: [{code: en, label: 'Can''t generate keys'}]
  - name: 'Default, your account-level Order Settings'
    translations: [{code: en, label: 'Default, your account-level Order Settings'}]
  - name: PairingCode
    translations: [{code: en, label: PairingCode}]
  - name: 'Regenerate token'
    translations: [{code: en, label: 'Regenerate token'}]
  - name: Token
    translations: [{code: en, label: Token}]
  - name: 'Transaction speed'
    translations: [{code: en, label: 'Transaction speed'}]
